Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkitlo2019-04-21 22:26:28 -0400
committerSravan Kumar Lakkimsetti2019-04-22 23:31:00 -0400
commit06c64cd055f442fc8dfe9c357d196520f8313596 (patch)
tree3ff6d9b7e160691ac7467396a89486dca68c8c30
parent1e7aaaa827a933894a1ef6809a0ecddfbb2ed4a4 (diff)
downloadeclipse.platform.releng.aggregator-06c64cd055f442fc8dfe9c357d196520f8313596.tar.gz
eclipse.platform.releng.aggregator-06c64cd055f442fc8dfe9c357d196520f8313596.tar.xz
eclipse.platform.releng.aggregator-06c64cd055f442fc8dfe9c357d196520f8313596.zip
Bug 546621 - Create new scripts to gather Equinox artifacts
Change-Id: I89439f749876a1cddf71799bcf3c81c1f9dee181 Signed-off-by: kitlo <kitlo@us.ibm.com>
-rw-r--r--cje-production/buildproperties.txt5
-rwxr-xr-xcje-production/master-build.sh3
-rwxr-xr-xcje-production/mbscripts/mb300_gatherEclipseParts.sh (renamed from cje-production/mbscripts/mb300_gatherParts.sh)6
-rwxr-xr-xcje-production/mbscripts/mb310_gatherEquinoxParts.sh79
4 files changed, 88 insertions, 5 deletions
diff --git a/cje-production/buildproperties.txt b/cje-production/buildproperties.txt
index b320dd41..0a1260fc 100644
--- a/cje-production/buildproperties.txt
+++ b/cje-production/buildproperties.txt
@@ -19,11 +19,14 @@
BRANCH="master"
PATCH_OR_BRANCH_LABEL="master"
BUILD_TYPE="I"
+RELEASE_VER="4.12"
STREAM="4.12.0"
GIT_ROOT="git://git.eclipse.org/gitroot"
AGG_REPO="/platform/eclipse.platform.releng.aggregator.git"
AGG_DIR="gitCache/eclipse.platform.releng.aggregator"
DROP_DIR="siteDir/eclipse/downloads/drops4"
+UPDATES_DIR="siteDir/eclipse/updates"
+EQUINOX_DROP_DIR="siteDir/equinox/drops"
TMP_DIR="tmp"
DOWNLOAD_HOST="download.eclipse.org"
BUILD_TO_COMPARE_SITE="ftp.osuosl.org/pub/eclipse/eclipse/updates"
@@ -34,7 +37,7 @@ PREVIOUS_RELEASE_VER="4.11"
BUILDTOOLS_REPO="http://build.eclipse.org/eclipse/buildtools/"
WEBTOOLS_REPO="https://download.eclipse.org/webtools/downloads/drops/R3.12.0/R-3.12.0-20181130055351/repositoryunittests/"
WEBTOOLS_VER="1.2.0.v201405010053"
-BASEBUILDER_DIR="siteDir/org.eclipse.releng.basebuilder"
+BASEBUILDER_DIR="tmp/org.eclipse.releng.basebuilder"
ECLIPSE_RUN_REPO="https://download.eclipse.org/eclipse/updates/4.12-I-builds/"
# Old build variables, need to clean up
diff --git a/cje-production/master-build.sh b/cje-production/master-build.sh
index 40887aa6..1b4e8595 100755
--- a/cje-production/master-build.sh
+++ b/cje-production/master-build.sh
@@ -18,7 +18,7 @@ source $CJE_ROOT/scripts/common-functions.shsource
chmod +x mbscripts/*
-logDir=$CJE_ROOT/siteDir/buildlogs
+logDir=$CJE_ROOT/$TMP_DIR/buildlogs
mkdir -p $logDir
pushd mbscripts
@@ -33,7 +33,6 @@ wait
source $CJE_ROOT/buildproperties.shsource
cp -r $logDir/* $CJE_ROOT/$DROP_DIR/$BUILD_ID/buildlogs/.
-rm -rf $logDir
cp $CJE_ROOT/buildproperties.txt $CJE_ROOT/$DROP_DIR/$BUILD_ID
mv $CJE_ROOT/buildproperties.php $CJE_ROOT/$DROP_DIR/$BUILD_ID
mv $CJE_ROOT/buildproperties.properties $CJE_ROOT/$DROP_DIR/$BUILD_ID
diff --git a/cje-production/mbscripts/mb300_gatherParts.sh b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
index 889d2cc7..c1aefd7b 100755
--- a/cje-production/mbscripts/mb300_gatherParts.sh
+++ b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
@@ -23,6 +23,7 @@ source $CJE_ROOT/scripts/common-functions.shsource
source $1
mkdir -p $CJE_ROOT/$DROP_DIR/$BUILD_ID/repository
+mkdir -p $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID
# gather repo
echo $PATCH_BUILD
@@ -112,8 +113,9 @@ if [ -z $PATCH_BUILD ]; then
-DbuildRepo=$PLATFORM_REPO_DIR \
-DbuildDirectory=$CJE_ROOT/$DROP_DIR/$BUILD_ID \
-DpostingDirectory=$CJE_ROOT/$DROP_DIR \
- -DequinoxPostingDirectory=$CJE_ROOT/siteDir/equinox/drops \
- -Djava.io.tmpdir=$CJE_ROOT/$TMP_DIR
+ -DequinoxPostingDirectory=$CJE_ROOT/$EQUINOX_DROP_DIR \
+ -Djava.io.tmpdir=$CJE_ROOT/$TMP_DIR \
+ -v
popd
fi
fi
diff --git a/cje-production/mbscripts/mb310_gatherEquinoxParts.sh b/cje-production/mbscripts/mb310_gatherEquinoxParts.sh
new file mode 100755
index 00000000..cdfe3f8d
--- /dev/null
+++ b/cje-production/mbscripts/mb310_gatherEquinoxParts.sh
@@ -0,0 +1,79 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Kit Lo - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+# gather Equinox Starter Kit
+REPO_DIR=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox.starterkit.product/target/products
+
+if [ -d $REPO_DIR ]; then
+ pushd $REPO_DIR
+ mkdir -p $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID
+ cp org.eclipse.rt.osgistarterkit.product-linux.gtk.x86_64.tar.gz $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/EclipseRT-OSGi-StarterKit-$BUILD_ID-linux-gtk-x86_64.tar.gz
+ cp org.eclipse.rt.osgistarterkit.product-macosx.cocoa.x86_64.tar.gz $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/EclipseRT-OSGi-StarterKit-$BUILD_ID-macosx-cocoa-x86_64.tar.gz
+ cp org.eclipse.rt.osgistarterkit.product-macosx.cocoa.x86_64.dmg $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/EclipseRT-OSGi-StarterKit-$BUILD_ID-macosx-cocoa-x86_64.dmg
+ cp org.eclipse.rt.osgistarterkit.product-win32.win32.x86_64.zip $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/EclipseRT-OSGi-StarterKit-$BUILD_ID-win32-win32-x86_64.zip
+ popd
+fi
+
+# gather Equinox SDK
+REPO_DIR=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox-sdk/target
+
+if [ -d $REPO_DIR ]; then
+ pushd $REPO_DIR
+ cp equinox-sdk-*-SNAPSHOT.zip $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/equinox-SDK-$BUILD_ID.zip
+
+ pushd $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID
+ unzip -o -j equinox-SDK-$BUILD_ID.zip plugins/*.jar -x plugins/*.source_*
+
+ popd
+ popd
+fi
+
+# publish Equinox
+pushd $CJE_ROOT
+mkdir -p $CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox/$TMP_DIR
+REPO_DIR=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target/repository
+LAUNCHER_JAR=$(find $CJE_ROOT/$BASEBUILDER_DIR -name org.eclipse.equinox.launcher_*.jar | tail -1)
+ANT_SCRIPT=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox/helper.xml
+java -jar $LAUNCHER_JAR \
+ -application org.eclipse.ant.core.antRunner \
+ -buildfile $ANT_SCRIPT \
+ -data $CJE_ROOT/$EQUINOX_DROP_DIR/$BUILD_ID/workspace-publishEquinox \
+ -DEBuilderDir=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder \
+ -DbuildDir=$BUILD_ID \
+ -DbuildDirectory=$CJE_ROOT/$EQUINOX_DROP_DIR \
+ -DbuildId=$BUILD_ID \
+ -DbuildRepo=$REPO_DIR \
+ -DbuildType=$BUILD_TYPE \
+ -DpostingDirectory=$CJE_ROOT/$DROP_DIR/$BUILD_ID \
+ -DequinoxPostingDirectory=$CJE_ROOT/$EQUINOX_DROP_DIR \
+ -DeqpublishingContent=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox/publishingFiles \
+ -DdropTemplateFileName=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/templateFiles/index.template_$PATCH_OR_BRANCH_LABEL.php \
+ -DindexFileName=index.php \
+ -DeclipseStream=$STREAM \
+ -Dequinox.build.configs=$CJE_ROOT/$AGG_DIR/eclipse.platform.releng.tychoeclipsebuilder/equinox/buildConfigs \
+ -Dbase.builder=$CJE_ROOT/$BASEBUILDER_DIR \
+ -Djava.io.tmpdir=$CJE_ROOT/$TMP_DIR \
+ -v \
+ publish
+popd

Back to the top